#!/bin/sh
# Copyright (C) 2008-20010 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

# fix permission problems
cd /storage
chown -R root:root *
chmod -R 777 *
chown -R squeezeboxserver:squeezeboxserver /storage/music/playlist/
chown -R transmission:transmission /storage/downloads

# make sure minidlna is installed
service ushare stop
rpm -e vb-ushare
yum -y install minidlna

# make sure forked-daapd is installed
service mt-daapd stop
rpm -e vb-mt-daapd
yum -y install forked-daapd

# start httpd if it has been stopped during the upgrade
service httpd start
